Menu

## SceneListCommand extends SceneBaseCommand
in package

SceneListCommand.php : 13

Parent class for daenerys tool commands.

### Table of Contents

$game : Game
$namespace : string|null
__construct() : mixed
  Construct the command, using the provided Game.
getCliLogger() : Logger
  Returns a cloned logger with a different context name.
configure() : mixed
execute() : int
getScene() : Scene|null
getSceneIdArgumentDefinition() : InputArgument
getSceneTemplatePath() : string
namespaced() : string

### Properties

#### $game

BaseCommand.php : 15
`protected Game $game`

#### $namespace

BaseCommand.php : 16
`protected string|null $namespace = null`

### Methods

#### __construct()

BaseCommand.php : 22

Construct the command, using the provided Game.

`public __construct(Game $game) : mixed`

##### Parameters

$game : Game

##### Return values

mixed —

#### getCliLogger()

BaseCommand.php : 32

Returns a cloned logger with a different context name.

`public getCliLogger() : Logger`

##### Return values

Logger —

#### configure()

SceneListCommand.php : 18
`protected configure() : mixed`

##### Tags

inheritDoc

##### Return values

mixed —

#### execute()

SceneListCommand.php : 28
`protected execute(InputInterface $input, OutputInterface $output) : int`

##### Parameters

$input : InputInterface
$output : OutputInterface

##### Tags

inheritDoc

##### Return values

int —

#### getScene()

SceneBaseCommand.php : 31
`protected getScene(string $id) : Scene|null`

##### Parameters

$id : string

##### Return values

Scene|null —

#### getSceneIdArgumentDefinition()

SceneBaseCommand.php : 18
`protected getSceneIdArgumentDefinition() : InputArgument`

##### Return values

InputArgument —

#### getSceneTemplatePath()

SceneBaseCommand.php : 42
`protected getSceneTemplatePath(Scene $scene) : string`

##### Parameters

$scene : Scene

##### Return values

string —

#### namespaced()

BaseCommand.php : 37
`protected namespaced(string $command) : string`

##### Parameters

$command : string

##### Return values

string —

## Search results